#!/usr/bin/env python

# ============================================================
# CASEDATA.py
# case editor program (main file) - Version 0.1
# ------------------------------------------------------------
# THIS IS NOT A STANDALONE KUMULA APPLICATION,
# IT IS A PART OF THE "CASES" APPLICATION/PLUGIN!
# ------------------------------------------------------------
# Copyright (C) 2005 Juergen Gerner.
# ============================================================

import sys
import os
sys.path.insert(0, os.path.join(os.path.dirname(sys.argv[0]), "..", "lib"))
sys.path.insert(0, os.path.join(os.path.dirname(sys.argv[0]), "..", "lib", "casedata"))
import kumula

from qt import QMessageBox,QString
from MainWindow import KMainWindow


if __name__ == "__main__":
    kumula.init(0)

    try:
        myIDToken = QString(kumula.ProgParams["case"]).toInt()
        if not myIDToken[1]:
            CaseID = 0
        else:
            CaseID = myIDToken[0]
    except:
        CaseID = 0

    kumula.MainWin = KMainWindow(CaseID)
    kumula.run()

